Subject: bug#67661: 30.0.50; *Completions* has started popping up for icomplete-in-buffer

From: Sean Whitton <[email-masked]>
Date: Fri, 29 Dec 2023 17:47:51 +0000

retitle 67661 30.0.50; *Completions* has started popping up for icomplete-in-buffer
thanks

Hello,

On Wed 20 Dec 2023 at 10:34am GMT, Sean Whitton wrote:

> Ah.  This is not the bug.  We may have been subtly miscommunicating.
> I am talking about completing the first argument to the command, not
> the 'ls' command itself.
>
> So for example:
>
> 1. emacs -q
> 2. (setopt icomplete-in-buffer t)
> 3. M-x icomplete-mode
> 4. M-x eshell
> 5. cd ~/src/emacs/
> 6. ls l<TAB>
>
> It takes a second <TAB> to have Emacs display leim, lib, lib-src, lisp etc..

I've pushed a fix for this problem, which was in pcomplete--entries.
Thanks again to Juri for pointing me to the Pcomplete machinery.

I'm not sure whether to close the bug or not, because there remains the
behavioural change for icomplete-in-buffer since Emacs 29.1.

-- 
Sean Whitton